Bug 203032 - xen/ia64 kernel BUG while rebooting
xen/ia64 kernel BUG while rebooting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks: xen-ia64 208599
  Show dependency treegraph
 
Reported: 2006-08-17 17:29 EDT by Aron Griffis
Modified: 2008-04-01 22:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.6.18-1.2784.fc6xen
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 15:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aron Griffis 2006-08-17 17:29:49 EDT
Description of problem:
Please stand by while rebooting the system...
md: stopping all md devices.
ACPI: PCI interrupt for device 0000:20:02.1 disabled
GSI 30 (level, low) -> CPU 0 (0x0000) vector 57 unregistered
free_irq_vector: double free!
ACPI: PCI interrupt for device 0000:20:02.0 disabled
GSI 29 (level, low) -> CPU 0 (0x0000) vector 55 unregistered
interrupt handlers still exist onIRQ 55
BUG: warning at arch/ia64/kernel/iosapic.c:979/iosapic_unregister_intr() (Not
tainted)

Call Trace:
 [<a00000010001c8c0>] show_stack+0x40/0xa0
                                sp=e00000001ed67b10 bsp=e00000001ed61318
 [<a00000010001c950>] dump_stack+0x30/0x60
                                sp=e00000001ed67ce0 bsp=e00000001ed61300
 [<a000000100055de0>] iosapic_unregister_intr+0x840/0x8c0
                                sp=e00000001ed67ce0 bsp=e00000001ed612b0
 [<a0000001000136c0>] acpi_unregister_gsi+0x20/0x40
                                sp=e00000001ed67d10 bsp=e00000001ed61290
 [<a00000010032cf00>] acpi_pci_irq_disable+0x140/0x160
                                sp=e00000001ed67d10 bsp=e00000001ed61260
 [<a00000010049fc00>] pcibios_disable_device+0x20/0x40
                                sp=e00000001ed67d20 bsp=e00000001ed61240
 [<a0000001002a5e90>] pci_disable_device+0x110/0x140
                                sp=e00000001ed67d20 bsp=e00000001ed61208
 [<a0000002003de5e0>] e1000_suspend+0x6e0/0x760 [e1000]
                                sp=e00000001ed67d30 bsp=e00000001ed611a0
 [<a0000002003de690>] e1000_shutdown+0x30/0x60 [e1000]
                                sp=e00000001ed67d30 bsp=e00000001ed61180
 [<a0000001002a93e0>] pci_device_shutdown+0x80/0xc0
                                sp=e00000001ed67d30 bsp=e00000001ed61160
 [<a00000010039cbe0>] device_shutdown+0x100/0x1c0
                                sp=e00000001ed67d30 bsp=e00000001ed61140
 [<a0000001000a1e00>] kernel_restart+0x60/0x120
                                sp=e00000001ed67d30 bsp=e00000001ed61120
 [<a0000001000a22b0>] sys_reboot+0x3b0/0x480
                                sp=e00000001ed67d30 bsp=e00000001ed610a8
 [<a0000001000140e0>] ia64_ret_from_syscall+0x0/0x40
                                sp=e00000001ed67e30 bsp=e00000001ed610a8
 [<a000000000010620>] __start_ivt_text+0xffffffff00010620/0x400
                                sp=e00000001ed68000 bsp=e00000001ed610a8
free_irq_vector: double free!
Restarting system.
(.....freezes here.....)

Version-Release number of selected component (if applicable):
2.6.17-1.2571xen
Comment 1 Aron Griffis 2006-09-14 14:53:41 EDT
Persists in 2.6.17-1.2630.fc6xen
Comment 2 Akio Takebe 2006-10-16 03:34:32 EDT
This problem is caused by debugger_trap_immediate() in dom0_shutdown().
2.6.18-1.2784.fc6xen don't have it in dom0_shutdown().
So this problem is fixed.

I confirmed that dom0 could reboot by using 2.6.18-1.2784.fc6xen.

Best Regards,

Akio Takebe 
Comment 3 Aron Griffis 2006-10-16 11:22:57 EDT
Yes, I also noticed this is fixed.  Thanks for the confirmation, Akio!
Comment 4 Brian Stein 2006-10-19 15:43:42 EDT
Closing per comment above.
Comment 5 Don Domingo 2008-04-01 22:09:37 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don

Note You need to log in before you can comment on or make changes to this bug.